Device Reputation Network API allows making requests to Fingerprint’s expansive device intelligence network and get global behavior and risk information about Android devices. To understand the underlying architecture of the DRN API, please refer to this guide.Documentation Index
Fetch the complete documentation index at: https://docs.fingerprint.com/llms.txt
Use this file to discover all available pages before exploring further.
DRN API only supports Fingerprint’s Android SDK
DRN API requests do not count toward your monthly plan and are not billed.
Getting started
DRN API is available globally:| Region | Base URL |
|---|---|
| Global | https://drn-api.fpjs.io |
Authentication
DRN API requests are authorized with a Secret API key that can be obtained in your Fingerprint Dashboard by visiting API Keys. Set your API key as a Bearer token in theAuthorization header:
Version
DRN API is versioned by date. This date represents when a backwards-incompatible change was made. The latest version is2024-09-01.
Set the version as in the X-API-Version header:
Signals
DRN API supports three signals in the current version:regional_activity, suspect_score, and timestamps. You can request all three signals in a single request.
Making a request
The DRN API has two required parameters:visitor_id and signals:
GET https://drn-api.fpjs.io/drn/{visitor_id}?signals={signals}
We’ll be using the regional_activity signal for our request by specifying it in the signals URL query parameter. Before you can make the request, you need to get a device visitor_id. You can start a trial, run a sample project, and use your device visitor_id as a parameter. Once you have the visitor_id and the secret API key, build a curl request. The visitor_id goes in the path, signals=regional_activity as a query parameter, both Authorization, and X-API-Version as HTTP headers:
JSON